Welcome
========================================================
autosize: true

![title](Title.png)


Part 0: Why using R - Commonly used Statistical Packages
========================================================


- **Not suited for anything beyond absolute basic:**
  * Excel

- **Good for processing surveys, limited functionality, not free:**
  * SPSS
  
- **Good functionality, not always state-of-the-art, not free:**
  * SAS
  * Stata

- **Almost always state-of-the-art, free, great support community:**
  * Python with Jupyter Notebooks (requires basic programming skills)
  * R with R Studio (very strong with data engineering)

What to Expect
========================================================
- **Part 1:** Installation, Setup, Tricks
- **Part 2:** Pre-Processing Data with the Tidyverse
- **Part 3:** Data Engineering and Modeling with Tidymodels

Part 1: Installation, Setup, Tricks
========================================================


- [Download R here](https://cloud.r-project.org//)
Install R before you install R Studio
- [Rstudio Download](https://www.rstudio.com/products/rstudio/download//#download) Make sure R is installed before you download Rstudio!
- [How to Install and Load the Tidyverse package](https://www.youtube.com/watch?v=tAGoThXF2Os)
  The tidyverse package installs several packages and its pacckages are needed for almost all R     applications. The 1 minute video shows how to install and load the tidyverse package.
- [Import Excel Data to R](https://www.youtube.com/watch?v=cWL-OsiFfGo)
This video shows how to work with Excel files in R
- [Free Datacamp R Course](https://www.datacamp.com/courses/free-introduction-to-r)
- Winter course at Cal Poly **Data Engineering and Analysis with R**
- **Free individual tutoring for graduate students** (email: clange@cpp.edu)

Go to RStudio
=============================
 - Setup R
 - Import Data


Data Pre-Processing with the Tidyverse
======================================
- **Select variables (columns) from data frame (aka tibble):**
  * select(data, ..., ..., ...)
- **Filter observations for specific criteria:**
  * filter (data, criteria)
- **Mutate (calculate) new variables (columns) in an Excel-like way:**
  * mutate(data, newvariablename=formula, anothervariablename=formula, ...)
  
\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*
  
- **Connect commands with piping:**
  * data %>% select(Sex,Wage76=Wage) %>% filter(Sex=="Female") %>% mutate(Wage21=Wage76*3.8) 

Go to RStudio
=============================
 - select(),
 - filter(),
 - mutate (), and
 - piping %>% 
 
 
Part 3a: Data Engineering and Modeling with Tidymodels - Simple Recipes
=====================================


<br><img src="SecondDiagram.png" alt="D1" style="height: 70vh; display: block; margin-left: auto; margin-right: auto;">

Go to RStudio
=============================
 - use tidymodels to design a recipe,
 - use bake to apply the recipe
 
Part 3b: Data Engineering and Modeling with Tidymodels - Workflow (advanced)
=====================================


<br><img src="FirstDiagram.png" alt="D2" style="height: 78vh; display: block; margin-left: auto; margin-right: auto;">

Go to RStudio
=============================
 - create a workflow,
 - add a model and a recipe to the workflow
 - fit the workflow with data
 - predict with the workflow
 - get metrics realted to the prediction
